# QWizardPage Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QWizardPage(QWidget parent)

### Constructor Properties

- prototype: The QWizardPage prototype object

### Prototype Object Properties

The QWizardPage prototype object inherits properties from the QWidget prototype object and also has the following properties.

- String buttonText(WizardButton which)
- void cleanupPage()
- void initializePage()
- bool isCommitPage()
- bool isComplete()
- bool isFinalPage()
- int nextId()
- QPixmap pixmap(WizardPixmap which)
- void setButtonText(WizardButton which, String text)
- void setCommitPage(bool commitPage)
- void setFinalPage(bool finalPage)
- void setPixmap(WizardPixmap which, QPixmap pixmap)
- bool validatePage()

### Instance Properties

QWizardPage objects inherit properties from the QWizardPage prototype object and also have the following properties.

- title
- subTitle